National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2006-4336 Detail

Description

Buffer underflow in the build_tree function in unpack.c in gzip 1.3.5 allows context-dependent attackers to execute arbitrary code via a crafted leaf count table that causes a write to a negative index.

Source:  MITRE
Description Last Modified:  09/19/2006

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Provides user account access
Allows unauthorized disclosure of information
Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (03/14/2007)

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
ftp://patches.sgi.com/support/free/security/advisories/20061001-01-P.asc
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=204676
http://docs.info.apple.com/article.html?artnum=304829
http://lists.apple.com/archives/security-announce/2006/Nov/msg00001.html
http://security.freebsd.org/advisories/FreeBSD-SA-06:21.gzip.asc
http://security.gentoo.org/glsa/glsa-200609-13.xml
http://securitytracker.com/id?1016883
http://slackware.com/security/viewer.php?l=slackware-security&y=2006&m=slackware-security.555852
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102766-1
http://support.avaya.com/elmodocs2/security/ASA-2006-218.htm
http://www.gentoo.org/security/en/glsa/glsa-200611-24.xml
http://www.kb.cert.org/vuls/id/554780 US Government Resource
http://www.mandriva.com/security/advisories?name=MDKSA-2006:167
http://www.novell.com/linux/security/advisories/2006_56_gzip.html
http://www.openpkg.org/security/advisories/OpenPKG-SA-2006.020-gzip.html
http://www.redhat.com/support/errata/RHSA-2006-0667.html
http://www.securityfocus.com/archive/1/archive/1/446426/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/450078/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/451324/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/462007/100/0/threaded
http://www.securityfocus.com/archive/1/archive/1/464268/100/0/threaded
http://www.securityfocus.com/bid/20101
http://www.trustix.org/errata/2006/0052/
http://www.ubuntu.com/usn/usn-349-1
http://www.us.debian.org/security/2006/dsa-1181
http://www.us-cert.gov/cas/techalerts/TA06-333A.html US Government Resource
http://www.vmware.com/support/esx25/doc/esx-254-200702-patch.html
http://www.vupen.com/english/advisories/2006/3695
http://www.vupen.com/english/advisories/2006/4275
http://www.vupen.com/english/advisories/2006/4750
http://www.vupen.com/english/advisories/2006/4760
http://www.vupen.com/english/advisories/2007/0092
http://www.vupen.com/english/advisories/2007/0832
http://www.vupen.com/english/advisories/2007/1171
https://exchange.xforce.ibmcloud.com/vulnerabilities/29042
https://issues.rpath.com/browse/RPL-615
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10140

References to Check Content

Identifier:
oval:org.mitre.oval:def:10140
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:10140

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:gzip:gzip:1.3.5:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2006-4336
NVD Published Date:
09/19/2006
NVD Last Modified:
10/10/2017